<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetSyntaxErrors Method (IEdmSearch9)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSearch9 Interface : GetSyntaxErrors Method (IEdmSearch9)

Visual Basic
C#
C++/CLI
Gets syntax errors resulting from this search.

# Syntax

Visual Basic |
--- | ---

    Function GetSyntaxErrors() As System.String()

C# |
--- | ---

    System.string[] GetSyntaxErrors()

C++/CLI |
--- | ---

    System.array<String^>^ GetSyntaxErrors();

#### Return Value

Array of localized syntax errors; Nothing or null if no errors

# Example

See the IEdmSearch9 examples.

# Remarks

This method returns errors only if the advanced specifier (@:) is specified at the beginning of search syntax conditions.

If IEdmSearch5::GetFirstResult returns Nothing or null it can mean either:

- the search found no documents

- or -

- there were one or more search syntax errrors.

Call this method after IEdmSearch5::GetFirstResult to determine whether there are syntax errors. If this method returns Nothing or null, then you can assume that IEdmSearch5::GetFirstResult found no documents.

See Search Syntax.

# See Also

####

IEdmSearch9 Interface
IEdmSearch9 Members

# Availability

SOLIDWORKS PDM Professional 2020